org.openstreetmap.josm.plugins.streetside.mode

## Class AbstractMode.SemiautomaticThread

- java.lang.Object
- - java.lang.Thread
  - - org.openstreetmap.josm.plugins.streetside.mode.AbstractMode.SemiautomaticThread

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    AbstractMode

      private static class AbstractMode.SemiautomaticThread
      extends Thread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `lastDownload` If in semiautomatic mode, the last Epoch time when there was a download
    `private boolean` | `moved`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `SemiautomaticThread()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `moved()`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### lastDownload

          private long lastDownload

      If in semiautomatic mode, the last Epoch time when there was a download

    - #### moved

          private boolean moved

  - ### Constructor Detail

    - #### SemiautomaticThread

          private SemiautomaticThread()

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`

    - #### moved

          public void moved()

JOSM Plugins